Skip to content

@jredmondson jredmondson released this Apr 3, 2020 · 1 commit to master since this release

This is the last functional release for version 1.2.2 of the GAMS middleware. After this point, many features are significantly changed and backwards compatibility is known to break. The following tries to list relevant features that are affected.

Features removed after this point:

  • Any type from MADARA
  • Support for cereal and capnp types

Features in limbo that are planned to be restored in near term:

  • ros support in ros2gams and rosbridge
Assets 2

@jredmondson jredmondson released this Jul 12, 2018 · 327 commits to master since this release

Brief

Initial Release of debian packages. Includes support for ROS tools.

The debian packages here are minimal and do not contain tests. The only binaries included are the gams_controller and ros2gams (if ros is installed). Each package contains combinations of the following features.

Updates

  • Fixes to Java/Android port
  • Support for latest VREP version
  • Updates to build system

Legend

  • madara: core package name. Required in each package
  • clang: compiled with clang / llvm 5.0. If this is not present, GNU compiler has been used. You MUST compile MADARA programs with clang 5.0 if you want to use this package.
  • java: compiled with Java 1.8 support. Can be combined with the MADARA java port at the Apache Maven Central Repository
  • ros: compiled with ROS support. This is useful if you'd like to use the ROS Bridge or ros2gams tool.

Prerequisite

You must install the corresponding MADARA 3.2.3 release. The only required matches are clang and java keywords from the legend. You can match other keywords such as ssl, zmq, python, etc. without breaking compatibility. You just have to have the same compiler and symbol mappings. dpkg will guide you through compatability issues thanks to the dependency mappings.

Assets 8

@jredmondson jredmondson released this Jul 5, 2018 · 343 commits to master since this release

Brief

Initial Release of debian packages. Includes support for ROS tools.

The debian packages here are minimal and do not contain tests. The only binaries included are the gams_controller and ros2gams (if ros is installed). Each package contains combinations of the following features.

Legend

  • madara: core package name. Required in each package
  • clang: compiled with clang / llvm 5.0. If this is not present, GNU compiler has been used. You MUST compile MADARA programs with clang 5.0 if you want to use this package.
  • java: compiled with Java 1.8 support. Can be combined with the MADARA java port at the Apache Maven Central Repository
  • ros: compiled with ROS support. This is useful if you'd like to use the ROS Bridge or ros2gams tool.

Prerequisite

You must install the corresponding MADARA 3.2.1 release. The only required matches are clang and java keywords from the legend. You can match other keywords such as ssl, zmq, etc. without breaking compatibility. You just have to have the same compiler and symbol mappings.

Assets 8
You can’t perform that action at this time.